%global debug_package %{nil}

Name: containernetworking-dnsname
Epoch: 100
Version: 1.3.1
Release: 1%{?dist}
Summary: CNI plugin to provide name resolution for containers
License: Apache-2.0
URL: https://github.com/containers/dnsname/tags
Source0: %{name}_%{version}.orig.tar.gz
BuildRequires: golang-1.18
BuildRequires: glibc-static
Requires: containernetworking-plugins
Requires: dnsmasq

%description
This CNI plugin sets up the use of dnsmasq on a given CNI network so
that Pods can resolve each other by name. When configured, the pod and
its IP address are added to a network specific hosts file that dnsmasq
reads in. Similarly, when a pod is removed from the network, it will
remove the entry from the hosts file. Each CNI network will have its own
dnsmasq instance. The dnsname plugin was specifically designed for the
Podman container engine.

%prep
%autosetup -T -c -n %{name}_%{version}-%{release}
tar -zx -f %{S:0} --strip-components=1 -C .

%build
mkdir -p bin
set -ex && \
        go build \
            -mod vendor -buildmode pie -v \
            -ldflags "-s -w -X main.gitCommit=18822f9a4fb35d1349eb256f4cd2bfd372474d84" \
            -o ./bin/dnsname github.com/containers/dnsname/plugins/meta/dnsname

%install
install -Dpm755 -d %{buildroot}%{_libexecdir}/cni
install -Dpm755 -t %{buildroot}%{_libexecdir}/cni bin/dnsname

%files
%license LICENSE
%dir %{_libexecdir}/cni
%{_libexecdir}/cni/*

%changelog
